package com.isu.gaswellwatch.annotation;


import com.isu.gaswellwatch.enums.LogType;

import java.lang.annotation.*;

/**
 * 操作日志自定义注解
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OperationLog {
    /**
     * 日志名称
     */
    String description() default "";
    /**
     * 日志类型
     */
    LogType type() default LogType.OPERATION;
}
